Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1506924 - [abrt] bleachbit: worker_done(): GUI.py:416:worker_done:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
Summary: [abrt] bleachbit: worker_done(): GUI.py:416:worker_done:GError: GDBus.Error:o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bleachbit
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ab0faeae4a1531baba77b0e734b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-27 07:51 UTC by mastaiza
Modified: 2018-03-16 16:17 UTC (History)
1 user (show)

Fixed In Version: bleachbit-2.0-1.fc27 bleachbit-2.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-13 23:17:13 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (977 bytes, text/plain)
2017-10-27 07:51 UTC, mastaiza
no flags Details
File: cgroup (289 bytes, text/plain)
2017-10-27 07:51 UTC, mastaiza
no flags Details
File: cpuinfo (1.22 KB, text/plain)
2017-10-27 07:51 UTC, mastaiza
no flags Details
File: environ (1.80 KB, text/plain)
2017-10-27 07:51 UTC, mastaiza
no flags Details
File: mountinfo (3.24 KB, text/plain)
2017-10-27 07:51 UTC, mastaiza
no flags Details
File: namespaces (102 bytes, text/plain)
2017-10-27 07:51 UTC, mastaiza
no flags Details
File: open_fds (934 bytes, text/plain)
2017-10-27 07:51 UTC, mastaiza
no flags Details

Description mastaiza 2017-10-27 07:51:21 UTC
Version-Release number of selected component:
bleachbit-1.12-3.fc27

Additional info:
reporter:       libreport-2.9.2
cmdline:        /usr/bin/python2 /bin/bleachbit
crash_function: worker_done
exception_type: GError
executable:     /bin/bleachbit
kernel:         4.13.8-300.fc27.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
GUI.py:416:worker_done:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files

Traceback (most recent call last):
  File "/usr/share/bleachbit/Worker.py", line 292, in run
    self.ui.worker_done(self, self.really_delete)
  File "/usr/share/bleachbit/GUI.py", line 416, in worker_done
    notify.show()
GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files

Local variables in innermost frame:
really_delete: True
pynotify: <module 'pynotify' from '/usr/lib64/python2.7/site-packages/gtk-2.0/pynotify/__init__.pyc'>
worker: <bleachbit.Worker.Worker instance at 0x7fac5c2b6680>
elapsed: 11.719617128372192
notify: <pynotify.Notification object at 0x7fac5c2ed410 (NotifyNotification at 0x55ee51133ce0)>
logger: <logging.Logger object at 0x7fac5c53a9d0>
self: <bleachbit.GUI.GUI instance at 0x7fac5c5d7ab8>

Potential duplicate: bug 1403495

Comment 1 mastaiza 2017-10-27 07:51:26 UTC
Created attachment 1344202 [details]
File: backtrace

Comment 2 mastaiza 2017-10-27 07:51:28 UTC
Created attachment 1344203 [details]
File: cgroup

Comment 3 mastaiza 2017-10-27 07:51:29 UTC
Created attachment 1344204 [details]
File: cpuinfo

Comment 4 mastaiza 2017-10-27 07:51:31 UTC
Created attachment 1344205 [details]
File: environ

Comment 5 mastaiza 2017-10-27 07:51:32 UTC
Created attachment 1344206 [details]
File: mountinfo

Comment 6 mastaiza 2017-10-27 07:51:34 UTC
Created attachment 1344207 [details]
File: namespaces

Comment 7 mastaiza 2017-10-27 07:51:35 UTC
Created attachment 1344208 [details]
File: open_fds

Comment 8 Fedora Update System 2018-03-07 22:49:28 UTC
bleachbit-2.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a6e39e3ac

Comment 9 Fedora Update System 2018-03-07 22:49:51 UTC
bleachbit-2.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2a30a3fb54

Comment 10 Fedora Update System 2018-03-08 16:23:07 UTC
bleachbit-2.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a6e39e3ac

Comment 11 Fedora Update System 2018-03-08 16:28:15 UTC
bleachbit-2.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2a30a3fb54

Comment 12 Fedora Update System 2018-03-13 23:17:13 UTC
bleachbit-2.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-03-16 16:17:46 UTC
bleachbit-2.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.